| Home | Libraries | People | FAQ | More

# Boolean_IO_Control_Command Class Reference

Inherits IO_Control_Command.

Inheritance diagram for Boolean_IO_Control_Command:

List of all members.

## Detailed Description

Boolean_IO_Control_Command concept.

Implemented By:
  boost::asio::socket_base::non_blocking_io

## Public Member Functions

| Boolean_IO_Control_Command ()
| Default constructor initialises boolean value to false.
| Boolean_IO_Control_Command (bool value)
| Construct with a specific command value.
void | set (bool value)
| Set the value of the boolean.
bool | get () const
| Get the current value of the boolean.
int | name () const
| Get the name of the command.
implementation_defined | data ()
| Get the data associated with the command.
implementation_defined | data () const
| Get the data associated with the command.

## Constructor & Destructor Documentation

Boolean_IO_Control_Command::Boolean_IO_Control_Command | ( |  | ) |

Default constructor initialises boolean value to false.

Boolean_IO_Control_Command::Boolean_IO_Control_Command | ( | bool | value | ) |

Construct with a specific command value.

## Member Function Documentation

void Boolean_IO_Control_Command::set | ( | bool | value | ) |

Set the value of the boolean.

bool Boolean_IO_Control_Command::get | ( |  | ) | const

Get the current value of the boolean.

int IO_Control_Command::name | ( |  | ) | const`[inherited]`

Get the name of the command.

implementation_defined IO_Control_Command::data | ( |  | ) | `[inherited]`

Get the data associated with the command.

implementation_defined IO_Control_Command::data | ( |  | ) | const`[inherited]`

Get the data associated with the command.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff